ProyectoCrm/src/app/Modulos/CambiarEmpresaModulo/Paginas/fw-cambiar-empresa/fw-cambiar-empresa.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.row
    div.ColumnaEmpresas
      div(*ngFor="let tEmpresaFor of tEmpresasUsuario | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index").row.pb-2
        div.col-12
          app-fw-cambiar-empresa-lista([EmpresaActual]="tEmpresaActual",
                                      [Empresa]="tEmpresaFor",
                                      (CambiarEmpresa)="Cambiar_Empresa($event)")
      div.row
        div.col-12
          ngb-pagination([collectionSize]="tEmpresasUsuario.length",
            [(page)]="tPagina",
            aria-label="Default pagination",
            [pageSize]="tTamanoPag",
            [maxSize]="5",
            [rotate]="true",
            [ellipses]="false",
            [boundaryLinks]="true").d-flex.justify-content-center
    div.ColumnaImagen
      img(src="assets/CambiarEmpresa.svg").ColumnaImagen--Imagen

ProyectoCrm/src/app/Modulos/CambiarEmpresaModulo/Paginas/fw-cambiar-empresa/fw-cambiar-empresa.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="row">
      <div class="ColumnaEmpresas">
        <div class="row pb-2" *ngFor="let tEmpresaFor of tEmpresasUsuario | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
          <div class="col-12">
            <app-fw-cambiar-empresa-lista [EmpresaActual]="tEmpresaActual" [Empresa]="tEmpresaFor" (CambiarEmpresa)="Cambiar_Empresa($event)"></app-fw-cambiar-empresa-lista>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tEmpresasUsuario.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag" [maxSize]="5" [rotate]="true" [ellipses]="false" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="ColumnaImagen"><img class="ColumnaImagen--Imagen" src="assets/CambiarEmpresa.svg"/></div>
    </div>
  </div>
</div>
